CVE-2017-14603

NameCVE-2017-14603
DescriptionIn Asterisk 11.x before 11.25.3, 13.x before 13.17.2, and 14.x before 14.6.2 and Certified Asterisk 11.x before 11.6-cert18 and 13.x before 13.13-cert6, insufficient RTCP packet validation could allow reading stale buffer contents and when combined with the "nat" and "symmetric_rtp" options allow redirecting where Asterisk sends the next RTCP report.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-3990-1
NVD severitymedium
Debian Bugs876328

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
asterisk (PTS)stretch (security), stretch1:13.14.1~dfsg-2+deb9u4fixed
buster1:16.2.1~dfsg-1+deb10u1fixed
bullseye, sid1:16.12.0~dfsg-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
asterisksourcejessie1:11.13.1~dfsg-2+deb8u4DSA-3990-1
asterisksourcestretch1:13.14.1~dfsg-2+deb9u2DSA-3990-1
asterisksource(unstable)1:13.17.2~dfsg-1876328

Notes

[wheezy] - asterisk <ignored> (strictrtp option is disabled by default. Too intrusive too backport)
http://downloads.asterisk.org/pub/security/AST-2017-008.html
https://issues.asterisk.org/jira/browse/ASTERISK-27274
https://issues.asterisk.org/jira/browse/ASTERISK-27252

Search for package or bug name: Reporting problems